Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361232 - root on dm-cache fails to upgrade fc22 -> fc23
Summary: root on dm-cache fails to upgrade fc22 -> fc23
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 23
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Kabelac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 14:47 UTC by A Peyser
Modified: 2016-12-20 21:17 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:17:06 UTC


Attachments (Terms of Use)

Description A Peyser 2016-07-28 14:47:26 UTC
Description of problem:

On an fc22 -> fc23 upgrade, dm-cache on root fails on reboot.
Neither dm_cache_smq nor /usr/sbin/cache_check are in the initrd, which weren't necessary earlier during the booting process (default policy has changed from mq -> smq).

Fix: for example, add /etc/dracut.conf.d/lvm.conf file with
add_drivers+=" dm_cache_smq "
install_items+=" /usr/sbin/cache_check "

There may also be problems with changes in cache policy formats, but I can't determine that part since in debugging, I removed the cache I created under fc22 and started from scratch.

This may also be an documentation challenge for users who try to put root on dm-cache. The cache will be created and function correctly, but fail on reboot from fc23 on.

Comment 1 Fedora End Of Life 2016-11-25 09:28:32 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 21:17:06 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.